<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- night_club-003 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="178" background="images/headerbg.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="178" align="right" style="background-image: url(images/header.jpg); background-repeat: no-repeat;
	background-position: left center; padding-right: 40px">
<!-- LOGO -->
	<table width="350" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="50" style="padding-right:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="left" valign="middle"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
			</td>
              </tr>
              <tr>
                <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
</td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="30" style="background-image: url(images/ni_09.jpg); background-repeat: repeat-y; background-position: left;">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="background-image: url(images/ni_11.jpg); background-repeat: repeat-y; background-position: right;">
<table width="100%" height="30"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="27" height="30" valign="top" style="background-image: url(images/ni_12.jpg); background-repeat: no-repeat;
	background-position: left bottom;"><img src="images/ni_04.jpg" width="27" height="11" alt="" /></td>
        <td width="100%" valign="top" style="background-image: url(images/ni_14.jpg);background-repeat: repeat-x;
	background-position: bottom;">
	<table width="100%" height="30"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background-image: url(images/ni_06.jpg); background-repeat: repeat-x; background-position: top;">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250"><img src="images/spacer.gif" width="250" height="1" /></td>
                <td width="100%">
<!-- END MENU -->
				<table border="0" cellspacing="0" cellpadding="0">
                  <tr>
				  <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table>
<!-- END MENU -->
				</td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="21" valign="top" style="background-image: url(images/ni_15.jpg); background-repeat: no-repeat;
	background-position: left bottom;"><img src="images/ni_08.jpg" width="21" height="11" alt="" /></td>
      </tr>
    </table>
		</td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td valign="top" width="100%" height="100%"  style="background-image: url(images/ni_23.jpg); background-repeat: repeat-y;
	background-position: left;">
	<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="284" valign="top" style="background-image: url(images/ni_37.jpg);
	background-repeat: no-repeat;
	background-position:left bottom;"><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="284"><img src="images/ni_16.jpg" width="284" height="55" alt="" /></td>
          </tr>
          <tr>
            <td valign="top" style="padding-left: 66px;">
<!-- END SUBMENU -->
			<table width="150" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td height="303"></td>
          </tr>
        </table></td>
        <td width="100%" height="100%"  valign="top" style="background-image: url(images/ni_38.jpg); background-repeat: repeat-y;
	background-position: right bottom; padding-bottom: 200px;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="233" valign="top" style="background-image: url(images/ni_17.jpg);
	background-repeat:repeat-x;
	background-position: left top; padding-top: 40px;
	padding-right: 10px;
	padding-bottom: 10px;
	padding-left: 10px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header" style="padding-top:2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td><img src="images/ni_21.jpg" width="24" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
              </td>
            <td width="73" valign="top" style="background-image: url(images/ni_32.jpg);
	background-repeat: repeat-y;
	background-position: right center;"><img src="images/ni_18.jpg" width="73" height="76" alt="" /></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/ni_41.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="284"><img src="images/ni_39.jpg" width="284" height="45" alt="" /></td>
        <td width="100%" style="background-image: url(images/ni_42.jpg);
	background-repeat: no-repeat;
	background-position: right center;"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="34" background="images/ni_44.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="34" align="right" style="background-image: url(images/ni_43.jpg);
	background-repeat: no-repeat;
	background-position: left center; padding-right: 60px;">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
           <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
                <td width="18"><img src="images/ni_28.jpg" width="18" height="11" alt="" /></td>
                <td width="125" height="15" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td width="20" align="right"><img src="images/ni_30.jpg" width="15" height="8" alt="" /></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
                <td width="18"><img src="images/ni_28.jpg" width="18" height="11" alt="" /></td>
                <td width="125" height="15"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td width="20" align="right"><img src="images/ni_30.jpg" width="15" height="8" alt="" /></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
     <tr>
          <td colspan="3"><img src="images/ni_35.jpg" width="158" height="9" alt="" /></td>
     </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
      <td width="20" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
